> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ziprecruiter/companies

> Get a ZipRecruiter company profile by its alias

**Price:** 10 credits

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/jobs.json post /api/ziprecruiter/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ziprecruiter/companies:
    post:
      tags:
        - /ziprecruiter
      summary: /ziprecruiter/companies
      description: |-
        Get a ZipRecruiter company profile by its alias

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_ziprecruiter_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZiprecruiterCompanyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ZiprecruiterCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZiprecruiterCompanyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
      type: object
      required:
        - company
    ZiprecruiterCompany:
      properties:
        '@type':
          type: string
          default: ZiprecruiterCompany
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        industries:
          items:
            type: string
          type: array
          default: []
        website:
          anyOf:
            - type: string
            - type: 'null'
        company_size:
          anyOf:
            - type: string
            - type: 'null'
        founded_year:
          anyOf:
            - type: string
            - type: 'null'
        hq_street:
          anyOf:
            - type: string
            - type: 'null'
        hq_city:
          anyOf:
            - type: string
            - type: 'null'
        hq_state:
          anyOf:
            - type: string
            - type: 'null'
        hq_zip:
          anyOf:
            - type: string
            - type: 'null'
        hq_country:
          anyOf:
            - type: string
            - type: 'null'
        hq_location:
          anyOf:
            - type: string
            - type: 'null'
        facebook_url:
          anyOf:
            - type: string
            - type: 'null'
        instagram_url:
          anyOf:
            - type: string
            - type: 'null'
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
        similar_companies:
          items:
            $ref: '#/components/schemas/ZiprecruiterSimilarCompany'
          type: array
          default: []
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ZiprecruiterSimilarCompany:
      properties:
        '@type':
          type: string
          default: ZiprecruiterSimilarCompany
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        hq_city:
          anyOf:
            - type: string
            - type: 'null'
        hq_state:
          anyOf:
            - type: string
            - type: 'null'
        company_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````